- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Properties

# QPrintDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 81 of file qprintdialog.h.

`#include <qprintdialog.h>`

Inheritance diagram for QPrintDialog:
[legend]

List of all members.

## Signals
void | accepted (QPrinter *printer)
## Public Member Functions
| QPrintDialog (QPrinter *printer, QWidget *parent=0)
| QPrintDialog (QWidget *parent=0)
| ~QPrintDialog ()
int | exec ()
void | done (int result)
void | setOption (PrintDialogOption option, bool on=true)
bool | testOption (PrintDialogOption option) const
void | setOptions (PrintDialogOptions options)
PrintDialogOptions | options () const
void | open (QObject *receiver, const char *member)
## Properties
PrintDialogOptions | options

## Constructor & Destructor Documentation

QPrintDialog | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QPrintDialog | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QPrintDialog | ( |  | ) |

## Member Function Documentation

int exec | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QAbstractPrintDialog.

void done | ( | int | result | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

void setOption | ( | PrintDialogOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | PrintDialogOption | option | ) | const

Search for all occurrences

void setOptions | ( | PrintDialogOptions | options | ) |

Search for all occurrences

PrintDialogOptions options | ( |  | ) | const

Search for all occurrences

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

void accepted | ( | QPrinter * | printer | ) | `[signal]`

Search for all occurrences

## Property Documentation

PrintDialogOptions options `[read, write]`

Search for all occurrences

Definition at line 86 of file qprintdialog.h.

The documentation for this class was generated from the following file:

- QtGui/qprintdialog.h

QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog
QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog QPrintDialog